/* --8<--8<--8<--8<--
 *
 * Copyright (C) 2007 Smithsonian Astrophysical Observatory
 *
 * This file is part of rdbplt
 *
 * rdbplt is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 *
 * rdbplt is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the 
 *       Free Software Foundation, Inc. 
 *       51 Franklin Street, Fifth Floor
 *       Boston, MA  02110-1301, USA
 *
 * -->8-->8-->8-->8-- */

#include "main.h"

char debug[DEBUG_LENGTH + 1] = { "\0" };

/* styles */
static TokListToken
line_style[] =
{
  {"0", 0},
  {"1",	1},
  {"2",	2},
  {"3",	3},
  {"4",	4},
  {"5",	5},
  {"dash",	2},
  {"dashdot1",	3},
  {"dashdot2",	5},
  {"dot",	4},
  {"full",	1},
  {"none",	0},
};
TokList line_style_spec = GenTokList(line_style);

static TokListToken
color[] =
{
  {"black",     0},
  {"blue",      4},
  {"bluecyan", 11},
  {"bluemagenta", 12},
  {"chartreuse", 9},
  {"cyan",      5},
  {"darkgray",  14},
  {"green",     3},
  {"greencyan", 10},
  {"lightgray", 15},
  {"magenta",   6},
  {"orange",    8},
  {"red",       2},
  {"redmagenta", 13},
  {"white",     1},
  {"yellow",    7},
};
TokList color_spec = GenTokList(color);


Common c;
